ConnectorServer (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.jmx

## Class ConnectorServer

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.jmx.ConnectorServer

- All Implemented Interfaces:
    LifeCycle

      public class ConnectorServer
      extends AbstractLifeCycle

  AbstractLifeCycle wrapper for JMXConnector Server

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `AbstractLifeCycle.AbstractLifeCycleListener`

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

      `LifeCycle.Listener`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectorServer(JMXServiceURL svcUrl, Map<String,?> environment, String name)` Constructs connector server
    `ConnectorServer(JMXServiceURL serviceURL, String name)` Constructs connector server

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doStart()`
    `void` | `doStop()`

    - ### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

      `addLifeCycleListener, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectorServer

          public ConnectorServer(JMXServiceURL serviceURL,
                         String name)
                          throws Exception

      Constructs connector server
      Parameters:
        `serviceURL` - the address of the new connector server. The actual address of the new connector server, as returned by its getAddress method, will not necessarily be exactly the same.
        `name` - object name string to be assigned to connector server bean
      Throws:
        `Exception`

    - #### ConnectorServer

          public ConnectorServer(JMXServiceURL svcUrl,
                         Map<String,?> environment,
                         String name)
                          throws Exception

      Constructs connector server
      Parameters:
        `svcUrl` - the address of the new connector server. The actual address of the new connector server, as returned by its getAddress method, will not necessarily be exactly the same.
        `environment` - a set of attributes to control the new connector server's behavior. This parameter can be null. Keys in this map must be Strings. The appropriate type of each associated value depends on the attribute. The contents of environment are not changed by this call.
        `name` - object name string to be assigned to connector server bean
      Throws:
        `Exception`

  - ### Method Detail

    - #### doStart

          public void doStart()
                       throws Exception

      Overrides:
        `doStart` in class `AbstractLifeCycle`
      Throws:
        `Exception`
      See Also:
        `AbstractLifeCycle.doStart()`

    - #### doStop

          public void doStop()
                      throws Exception

      Overrides:
        `doStop` in class `AbstractLifeCycle`
      Throws:
        `Exception`
      See Also:
        `AbstractLifeCycle.doStop()`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.